Basics - boilerplate edition
----------------------------

<!-- exec-raw cat examples/hello_boilerplate.pl -->

    #!/usr/bin/env perl

    use warnings;
    use strict;
    use 5.10.0;

    say greet($ARGV[0]);

    sub greet {
      my ($greetee) = @_;
      return "Hello $greetee.";
    }

<!-- end -->

<!-- exec -->

    $ ./examples/hello_boilerplate.pl 'EngProd'
    Hello EngProd.

<!-- end -->
