Start you a .vimrc
==================

Your .vimrc might be tiny to start with:

    set nocompatible

    " Let me delete stuff while in insert mode:
    set backspace=indent,eol,start

    " Display commands as-typed + current position in file:
    set showcmd
    set ruler

    " Display a visual menu for tab-completion of files:
    set wildmenu

    " Display tab characters as 8 spaces, indent 2 spaces,
    " always use spaces instead of tabs:
    set tabstop=8
    set shiftwidth=2
    set softtabstop=2
    set expandtab
    set autoindent

